> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idalia.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create transport orders

> Create transport orders



## OpenAPI

````yaml https://spec.speakeasy.com/idalia-r5y/idalia/api-documentation-with-code-samples post /transport-orders
openapi: 3.0.0
info:
  title: API Documentation
  version: 1.0.0
  description: This is the OpenAPI specification for your project.
servers:
  - url: https://idalia.app/api
    description: Idalia API server
security: []
paths:
  /transport-orders:
    post:
      tags:
        - Transport-orders
      summary: Create transport orders
      description: Create transport orders
      operationId: createTransportOrders
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransportOrdersCreateParams'
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransportOrdersQueryResponse'
        '400':
          $ref: '#/components/responses/400'
        '500':
          $ref: '#/components/responses/500'
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Idalia } from "idalia";

            const idalia = new Idalia({
              apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
            });

            async function run() {
              const result = await idalia.transportOrders.create();

              console.log(result);
            }

            run();
components:
  schemas:
    TransportOrdersCreateParams:
      type: array
      items:
        $ref: '#/components/schemas/CreateTransportOrderSchema'
    TransportOrdersQueryResponse:
      type: array
      items:
        $ref: '#/components/schemas/TransportOrderResponse'
    CreateTransportOrderSchema:
      type: object
      properties:
        name:
          type: string
          description: Name of the transport order
        reference:
          type: string
          nullable: true
          description: Reference code of the transport order
        number:
          type: string
          nullable: true
          description: Transport order number
        notes:
          type: string
          nullable: true
          description: Notes
        statusId:
          type: string
          nullable: true
          description: ID of the transport order status
        projectId:
          type: string
          nullable: true
          description: ID of the project
        purchaseOrderId:
          type: string
          nullable: true
          description: ID of the purchase order
        allocationOrderId:
          type: string
          nullable: true
          description: ID of the allocation order
      required:
        - name
    TransportOrderResponse:
      type: object
      properties:
        id:
          type: string
          description: ID of the transport order
        createdAt:
          type: string
          description: Datetime the transport order was created
        updatedAt:
          type: string
          nullable: true
          description: Datetime the transport order was last updated
        workspaceId:
          type: string
          description: ID of the workspace the transport order belongs to
        createdBy:
          type: string
          nullable: true
          description: ID of the user who created the transport order
        name:
          type: string
          description: Name of the transport order
        reference:
          type: string
          nullable: true
          description: Reference code of the transport order
        number:
          type: string
          nullable: true
          description: Transport order number
        notes:
          type: string
          nullable: true
          description: Notes
        statusId:
          type: string
          nullable: true
          description: ID of the transport order status
        projectId:
          type: string
          nullable: true
          description: ID of the project
        purchaseOrderId:
          type: string
          nullable: true
          description: ID of the purchase order
        allocationOrderId:
          type: string
          nullable: true
          description: ID of the allocation order
      required:
        - id
        - createdAt
        - workspaceId
        - name
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Invalid request parameters
              code:
                type: string
                example: '400'
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: An unexpected error occurred
              code:
                type: string
                example: '500'

````